import { Meteor } from 'meteor/meteor';
import { Mongo } from 'meteor/mongo';
import { check } from 'meteor/check';

export const UserConfigOptions = new Mongo.Collection('userConfigOptions');

UserConfigOptions.allow({
    insert: function(userId, doc){
        // if use id exists, allow insert
        return !!userId;
    },
});

Meteor.methods({
    'add.darkPref' (darkPref) {
        check(darkPref, Boolean);

        return UserConfigOptions.insert({
            darkPref: darkPref,
            owner: this.userId
        });
    },
    'edit.darkPref' (darkPref) {
        check(darkPref, Boolean);

        return UserConfigOptions.update({ owner: this.userId }, {
            $set: {
                darkPref: darkPref
            }
        });
    },
});